package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairWorkType;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.RepairWorkTypeVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-18
 */
public interface RepairWorkTypeService extends IService<RepairWorkType> {
    int insertRepairWorkType(RepairWorkType rns);

    int updateRepairWorkType(RepairWorkType rns);

    PageUtils<RepairWorkType> queryPageRepairWorkTypes(int currentPage, int pageCount, String name);

    int deleteRepairWorkTypeById(int id);

    RepairWorkType getRepairById(int id);

    List<RepairWorkTypeVo> getRepairWorkTypes();
}
